function [Ksp,K]=msfgain(Mnum,Mden,e)

% Calculate the Gain parameters using the Model State Feedback IMC
%Mnum=1 2;1 3
%Mden=1 1.5;1 0.5;1 3.5 2.5
%e=1;

Mn=1;
Md=1;
[Mnum]=ms2mtx1(Mnum);
[mm,n]=size(Mnum);
for i=1:mm
	Mn=conv(Mn,Mnum(i,:));
end
%get rid of leading zeros
while Mn(1)==0
   Mn=Mn(2:length(Mn));
end   

[Mden]=ms2mtx1(Mden);
[mm,n]=size(Mden);
for i=1:mm
	Md=conv(Md,Mden(i,:));
end
%get rid of leading zeros
while Md(1)==0
   Md=Mn(2:length(Md));
end   

% compute K & Ksp
dimn=length(Mn);
dimd=length(Md);
for i=1:(dimd-1);
	if (dimn-i+1)>0;
		Mnt(dimd-i)=Mn(dimn-i+1);
	else (dimn-i+1)<=0;
		Mnt(dimd-i)=0;
	end
end
Mn=Mn/Md(dimd);
Md=Md/Md(dimd);
Ksp=Md(1)/e^(dimd-dimn)/Mn(1);
filter=1;
for i=1:dimd-dimn
	filter=conv(filter,[e 1]);
end
K=Ksp*(conv(Mn,filter))-Md;
return;
