function add_remove3(index)
global plot_IMC plot_IMC_sat plot_MSF plot_setpoint plot_disturb plot_effort
global setpoint_Enable disturb_Enable effort_Enable old_handle keep

switch index 
case 'main'
keep=0;   
old_handle=gcf;
fad=crfig(370,200,220,290,'Add&Remove Responses','w','none','off');
uicontrol(fad,...
  'Style','checkbox',...
  'Position',[60 125 120 20],...
  'String','unconstrained IMC',...
  'Value',plot_IMC,...
  'BackgroundColor',[1 1 1],...
  'Callback','add_remove3(''plot_IMC'');');
uicontrol(fad,...
  'Style','checkbox',...
  'Position',[60 100 120 20],...
  'String','constrained IMC',...
  'Value',plot_IMC_sat,...
  'BackgroundColor',[1 1 1],...
  'Callback','add_remove3(''plot_IMC_sat'');');
uicontrol(fad,...
  'Style','checkbox',...
  'Position',[60 75 120 20],...
  'String','MSF',...
  'Value',plot_MSF,...
  'BackgroundColor',[1 1 1],...
  'Callback','add_remove3(''plot_MSF'');');
uicontrol(fad,...
  'Style','push',...
  'Position',[40 13 50 30],...
  'String','OK',...
  'Callback',['close;JMENU=IMENU;cback;']);
uicontrol(fad,...
  'Style','push',...
  'Position',[120 13 50 30],...
  'String','Cancel',...
  'Callback','close');
uicontrol(fad,...
  'Style','checkbox',...
  'Position',[35 200 150 20],...
  'String','Setpoint Responses',...
  'Value',plot_setpoint,...
  'Enable',setpoint_Enable,...
  'BackgroundColor',[1 1 1],...
  'Callback','add_remove(''Setpoint Responses'');');
uicontrol(fad,...
  'Style','checkbox',...
  'Position',[35 175 150 20],...
  'String','Disturbance Responses',...
  'Value',plot_disturb,...
  'Enable',disturb_Enable,...
  'BackgroundColor',[1 1 1],...
  'Callback','add_remove(''Disturbance Responses'');');
uicontrol(fad,...
  'Style','checkbox',...
  'Position',[35 150 150 20],...
  'String','Control Efforts',...
  'Value',plot_effort,...
  'Enable',effort_Enable,...
  'BackgroundColor',[1 1 1],...
  'Callback','add_remove(''Control Efforts'');');
uicontrol(fad,...
  'Style','text',...
  'Position',[35 225 120 50],...
  'String','To add control effort first uncheck set point or disturbance!',...
  'BackgroundColor',[1 1 1]);
case 'plot_IMC'
   plot_IMC=get(gcbo,'Value');
case 'plot_IMC_sat'
   plot_IMC_sat=get(gcbo,'Value');
case 'plot_MSF'
   plot_MSF=get(gcbo,'Value');
end
