function model=cell2str(m)
% function model=cell2str(m)
% Convert cell array which each element containg string representing
% transfer function of the MIMO system to an evaluable string.
[a,b,c]=size(m);
model='[';
for i=1:a
   for j=1:b
      if j==b
         if isempty(m{i,j,1})
            model=[model '0'];
         else
            model=[model m{i,j,1}];
         end
      else
         if isempty(m{i,j,1})
            model=[model '0,'];
         else
            model=[model m{i,j,1} ','];
         end
      end
   end
   if i==a
      model=[model ']'];
   else
      model=[model ';'];
   end
end
