function [diag_handle]=show1dfdiag(fig_handle,maxrow,maxcol,pnummt,pdnummt,mnummt,...
   qnummt,d_through_p,input_delay)
% This function will show 1-degree of freedom IMC diagram for multivariable system

temp=maxrow*maxcol;
diag_handle=zeros(1,3*temp+26);
diag_handle(3*temp+25)=uicontrol(fig_handle,...
 'Style','text',...
 'Position',[150 160 450 22],...
 'Backgroundcolor','k',...
 'Foregroundcolor',[.78 .78 .78],...
 'FontSize',14,...
 'HorizontalAlignment','Left',...
 'String','One-degree of freedom IMC diagram');
diag_handle(3*temp+24)=uicontrol(fig_handle,...
 'Style','text',...
 'Position',[527 358 50 24],...
 'Backgroundcolor','k',...
 'Foregroundcolor',[.78 .78 .78],...
 'FontSize',14,...
 'HorizontalAlignment','Left',...
 'String','>  y');
 diag_handle(3*temp+23)=uicontrol(fig_handle,...
 'Style','text',...
 'Position',[478 377 30 18],...
 'Backgroundcolor','k',...
 'Foregroundcolor',[.78 .78 .78],...
 'FontSize',14,...
 'HorizontalAlignment','Left',...
 'String','v +');
diag_handle(3*temp+22)=uicontrol(fig_handle,...
 'Style','text',...
 'Position',[408 425 30 20],...
 'Backgroundcolor','k',...
 'Foregroundcolor',[.78 .78 .78],...
 'FontSize',14,...
 'HorizontalAlignment','Left',...
 'String','d');
diag_handle(3*temp+21)=uicontrol(fig_handle,...
  'Style','frame',...
  'Position',[425 428 40 5]);
diag_handle(3*temp+20)=uicontrol(fig_handle,...
  'Style','frame',...
  'Position',[480 384 5 35]);
diag_handle(3*temp+19)=uicontrol(fig_handle,...
 'Style','text',...
 'Position',[485 294 18 18],...
 'Backgroundcolor','k',...
 'Foregroundcolor',[.78 .78 .78],...
 'FontSize',14,...
 'HorizontalAlignment','Left',...
 'String','>');
diag_handle(3*temp+18)=uicontrol(fig_handle,...
 'Style','text',...
 'Position',[484 307 18 18],...
 'Backgroundcolor','k',...
 'Foregroundcolor',[.78 .78 .78],...
 'FontSize',14,...
 'HorizontalAlignment','Left',...
 'String','-');
diag_handle(3*temp+17)=uicontrol(fig_handle,...
 'Style','text',...
 'Position',[148 349 40 18],...
 'Backgroundcolor','k',...
 'Foregroundcolor',[.78 .78 .78],...
 'FontSize',14,...
 'HorizontalAlignment','Left',...
 'String','/\ -');
diag_handle(3*temp+16)=uicontrol(fig_handle,...
 'Style','text',...
 'Position',[80 360 40 24],...
 'Backgroundcolor','k',...
 'Foregroundcolor',[.78 .78 .78],...
 'FontSize',14,...
 'HorizontalAlignment','Left',...
 'String','r');
diag_handle(3*temp+15)=uicontrol(fig_handle,...
  'Style','frame',...
  'Position',[100 367 430 5]);
diag_handle(3*temp+14)=uicontrol(fig_handle,...
  'Style','frame',...
  'Position',[374 297 114 5]);
diag_handle(3*temp+13)=uicontrol(fig_handle,...
  'Style','frame',...
  'Position',[374 301 5 67]);
diag_handle(3*temp+12)=uicontrol(fig_handle,...
  'Style','frame',...
  'Position',[475 362 15 15]);
diag_handle(3*temp+11)=uicontrol(fig_handle,...
  'Style','frame',...
  'Position',[500 246 5 122]);
diag_handle(3*temp+10)=uicontrol(fig_handle,...
  'Style','frame',...
  'Position',[495 292 15 15]);
diag_handle(3*temp+9)=uicontrol(fig_handle,...
  'Style','frame',...
  'Position',[150 246 351 5]);
diag_handle(3*temp+8)=uicontrol(fig_handle,...
  'Style','frame',...
  'Position',[150 250 5 102]);
diag_handle(3*temp+7)=uicontrol(fig_handle,...
  'Style','frame',...
  'Position',[145 362 15 15]);
diag_handle(3*temp+6)=uicontrol(fig_handle,...
 'Style','text',...
 'Position',[390 330 80 24],...
 'Backgroundcolor','k',...
 'Foregroundcolor',[.78 .78 .78],...
 'FontSize',13,...
 'HorizontalAlignment','Center',...
 'String','Process');
diag_handle(3*temp+5)=uicontrol(fig_handle,...
 'Style','text',...
 'Position',[400 260 60 24],...
 'Backgroundcolor','k',...
 'Foregroundcolor',[.78 .78 .78],...
 'FontSize',13,...
 'HorizontalAlignment','Center',...
 'String','Model');
diag_handle(3*temp+4)=uicontrol(fig_handle,...
 'Style','text',...
 'Position',[180 330 80 24],...
 'Backgroundcolor','k',...
 'Foregroundcolor',[.78 .78 .78],...
 'FontSize',13,...
 'HorizontalAlignment','Left',...
 'String','Controller');
diag_handle(3*temp+2)=uicontrol(fig_handle,...
 'Style','text',...
 'Position',[515 420 60 24],...
 'Backgroundcolor','k',...
 'Foregroundcolor',[.78 .78 .78],...
 'FontSize',13,...
 'HorizontalAlignment','Left',...
 'String','Pd');
diag_handle(3*temp+26)=uicontrol(fig_handle,...
  'Style','push',...
  'Position',[320 355 38 30],...
  'String','Delay',...
  'TooltipString',['[ ' num2str(input_delay) ' ]'],...
  'Callback','msgbox([''[ '' num2str(input_delay) '' ]''],''TimeDelay'');');
if maxrow > 1
diag_handle(3*temp+27)=uicontrol(fig_handle,...
  'Style','push',...
  'Position',[410 55 120 30],...
  'String','Show MSF diagram',...
  'Callback',['delete(diag_handle); [diag_handle]=showmsf1dfdiag(main_fig,',...
     'maxrow,maxcol,p,pd,m,Kspstr,d_through_p,input_delay,Kstr,Dstr);']);
end
diag_handle(3*temp+3)=uicontrol(fig_handle,...
  'Style','push',...
  'Position',[285 355 30 30],...
  'String','Sat',...
  'Callback','IMENU=2600;imcmenu;');
if maxrow == 1 | all(input_delay==0)
   set(diag_handle(3*temp+26),'Visible','off');
   set(diag_handle(3*temp+3),'Position',[305 355 35 30]);
end
diag_handle(1:temp)=Xuiarray([390 350 80 40],maxrow,maxcol,0,0,...
   'push','p_index=1;imcmenuM;','',pnummt,2100,fig_handle);
diag_handle(temp+1:2*temp)=Xuiarray([390 280 80 40],maxrow,maxcol,0,0,...
   'push','p_index=1;imcmenuM;','',mnummt,2200,fig_handle);
diag_handle(3*temp+1)=Xuiarray([180 350 80 40],1,1,0,0,...
   'push','p_index=1;imcmenuM;','',qnummt,2300,fig_handle);
diag_handle(2*temp+1:3*temp)=Xuiarray([455 410 55 40],maxrow,maxcol,0,0,...
   'push','p_index=1;imcmenuM;','',pdnummt,2400,fig_handle);
if d_through_p
   for i=2*temp+1:3*temp
      set(diag_handle(i),'Visible','off');
   end
   set(diag_handle(3*temp+2),'Visible','off');
   set(diag_handle(3*temp+23),'Visible','off');
   set(diag_handle(3*temp+22),'Visible','off');
   set(diag_handle(3*temp+21),'Visible','off');
   set(diag_handle(3*temp+20),'Visible','off');
   set(diag_handle(3*temp+12),'Visible','off');
diag_handle(3*temp+28)=uicontrol(fig_handle,...
  'Style','frame',...
  'Position',[355 362 15 15]);
 diag_handle(3*temp+29)=uicontrol(fig_handle,...
 'Style','text',...
 'Position',[347 377 25 18],...
 'Backgroundcolor','k',...
 'Foregroundcolor',[.78 .78 .78],...
 'FontSize',14,...
 'HorizontalAlignment','Left',...
 'String','+v');
diag_handle(3*temp+30)=uicontrol(fig_handle,...
  'Style','frame',...
  'Position',[360 384 5 35]);
diag_handle(3*temp+31)=uicontrol(fig_handle,...
 'Style','text',...
 'Position',[358 425 30 20],...
 'Backgroundcolor','k',...
 'Foregroundcolor',[.78 .78 .78],...
 'FontSize',14,...
 'HorizontalAlignment','Left',...
 'String','d');
end