   % change system dimension%
   %-----------------------
   
   %Process
   p=resizemt(p,maxrow,maxcol,'');
   Xpnums=resizemt(Xpnums,maxrow,maxcol,'Numerator');
   Xpdens=resizemt(Xpdens,maxrow,maxcol,'Denominator');
   Xpdeads=resizemt(Xpdeads,maxrow,maxcol,'Deadtime');
   Xpnummt=resizemt(Xpnummt,maxrow,maxcol,[]);
   Xpdenmt=resizemt(Xpdenmt,maxrow,maxcol,[]);
   Xpdeadmt=resizemt(Xpdeadmt,maxrow,maxcol,[]);
   Xunidn=resizemt(Xunidn,maxrow,maxcol,0);
   Xunidd=resizemt(Xunidd,maxrow,maxcol,0);
   Xuniddt=resizemt(Xuniddt,maxrow,maxcol,0);
   Xpnum=resizemt(Xpnum,maxrow,maxcol,'');
   Xpden=resizemt(Xpden,maxrow,maxcol,'');
   Xpdead=resizemt(Xpdead,maxrow,maxcol,'');
   uindex=resizemt(uindex,maxrow,maxcol,[]);
   
   % Model
   m=resizemt(m,maxrow,maxcol,'');
   Xmnums=resizemt(Xmnums,maxrow,maxcol,'Numerator');
   Xmdens=resizemt(Xmdens,maxrow,maxcol,'Denominator');
   Xmdeads=resizemt(Xmdeads,maxrow,maxcol,'Deadtime');
   Xmnummt=resizemt(Xmnummt,maxrow,maxcol,[]);
   Xmdenmt=resizemt(Xmdenmt,maxrow,maxcol,[]);
   Xmdeadmt=resizemt(Xmdeadmt,maxrow,maxcol,[]);
   Xmunidn=resizemt(Xmunidn,maxrow,maxcol,0);
   Xmunidd=resizemt(Xmunidd,maxrow,maxcol,0);
   Xmuniddt=resizemt(Xmuniddt,maxrow,maxcol,0);
   Xmnum=resizemt(Xmnum,maxrow,maxcol,'');
   Xmden=resizemt(Xmden,maxrow,maxcol,'');
   Xmdead=resizemt(Xmdead,maxrow,maxcol,'');
   muindex=resizemt(muindex,maxrow,maxcol,[]);

   % Disturbance Lag
 %  if ~cascade
      pd=resizemt(pd,maxrow,maxcol,'');
      Xpdnums=resizemt(Xpdnums,maxrow,maxcol,'Numerator');
      Xpddens=resizemt(Xpddens,maxrow,maxcol,'Denominator');
      Xpdnummt=resizemt(Xpdnummt,maxrow,maxcol,[]);
      Xpddenmt=resizemt(Xpddenmt,maxrow,maxcol,[]);
      Xpdunidn=resizemt(Xpdunidn,maxrow,maxcol,0);
      Xpdunidd=resizemt(Xpdunidd,maxrow,maxcol,0);
      Xpdnum=resizemt(Xpnum,maxrow,maxcol,'');
      Xpdden=resizemt(Xpden,maxrow,maxcol,'');
      pduindex=resizemt(pduindex,maxrow,maxcol,[]);
  % end
   % Forward part controller
   q=resizemt(q,maxcol,maxrow,'');
   qnums=resizemt(qnums,maxcol,maxrow,'Numerator');
   qdens=resizemt(qdens,maxcol,maxrow,'Denominator');
   qdeads=resizemt(qdeads,maxcol,maxrow,'Deadtime');
   qnummt=resizemt(qnummt,maxcol,maxrow,[]);
   qdenmt=resizemt(qdenmt,maxcol,maxrow,[]);
   qdeadmt=resizemt(qdeadmt,maxcol,maxrow,[]);
   qnum=resizemt(qnum,maxrow,maxcol,'');
   qden=resizemt(qden,maxrow,maxcol,'');
   qdead=resizemt(qdead,maxrow,maxcol,'');
   
   % Feedback part controller
   qf=resizemt(qf,maxcol,maxrow,'');
   qfnums=resizemt(qfnums,maxcol,maxrow,'Numerator');
   qfdens=resizemt(qfdens,maxcol,maxrow,'Denominator');
   qfdeads=resizemt(qfdeads,maxcol,maxrow,'Deadtime');
   qfnummt=resizemt(qfnummt,maxcol,maxrow,[]);
   qfdenmt=resizemt(qfdenmt,maxcol,maxrow,[]);
   qfdeadmt=resizemt(qfdeadmt,maxcol,maxrow,[]);
   qfnum=resizemt(qfnum,maxrow,maxcol,'');
   qfden=resizemt(qfden,maxrow,maxcol,'');
   qfdead=resizemt(qfdead,maxrow,maxcol,'');
   pd_prime=resizemt(pd_prime,maxrow,maxcol,[]);
   
% Filter time constant
if length(Mp) < maxcol
   Mp(length(Mp)+1:maxcol)=Mp(1);
elseif maxcol > 1 & length(Mp) > maxcol
   Mp=Mp(1:maxcol);
end
if length(Epsilon{1}) < maxcol
   Epsilon{1}(length(Epsilon{1})+1:maxcol)=Epsilon{1}(1);
elseif maxcol > 1 & length(Epsilon{1}) > maxcol 
   Epsilon{1}=Epsilon{1}(1:maxcol);
end
if length(Mp2) < maxcol
   Mp2(length(Mp2)+1:maxcol)=Mp2(1);
elseif maxcol > 1 & length(Mp2) > maxcol
   Mp2=Mp2(1:maxcol);
end
