function [pddenmt,pd]=pdmodel(Xpddenmt,vlb)
% function to find the defult model of Pd
% for the qd calculation.
[m,n]=size(Xpddenmt);
pddenmt=cell(m,n);
pd=pddenmt;
for i=1:m
   pddenmt{i,i}=mt2poly(Xpddenmt{i,i},vlb);
   for j=1:n
      temp=mt2poly(Xpddenmt{i,j},vlb);
      lentemp=length(temp);
      lenpdden=length(pddenmt{i,i});
      if lentemp >=2 & (temp(lentemp-1)/temp(lentemp) < ...
            pddenmt{i,i}(lenpdden-1)/pddenmt{i,i}(lenpdden))
         pddenmt{i,i}=temp;
      end
   end
   pd{i,i}=['1/' mtx2str(pddenmt{i,i},1)];
end

   